%global momorel 3
%global md5sum 02c22a93ec9efb8e457764114ce24eb4
Name:           perl-ExtUtils-Depends
Version:        0.205
Release:	%{momorel}m%{?dist}
Summary:        Easily build XS extensions that depend on XS extensions

Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://search.cpan.org/dist/ExtUtils-Depends/
%NoSource 0 http://www.cpan.org/authors/id/R/RM/RMCFARLA/Gtk2-Perl/ExtUtils-Depends-%{version}.tar.gz %{md5sum}
BuildRoot:    %{_tmppath}/%{name}-%{version}-root

BuildArch:      noarch
BuildRequires:  perl >= 5.8.8-10m
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module tries to make it easy to build Perl extensions that use
functions and typemaps provided by other perl extensions. This means
that a perl extension is treated like a shared library that provides
also a C and an XS interface besides the perl one.


%prep
%setup -q -n ExtUtils-Depends-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/ExtUtils/*
%{_mandir}/man3/*.3pm*


%changelog
* Tue Apr 24 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.205-3m)
- fix files dup

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.205-2m)
- use vendor

* Thu Mar 22 2007 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.205-1m)
- import to Momonga from Fedora Development


* Fri Sep  8 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.205-5
- Rebuild for FC6.

* Wed Feb 15 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.205-4
- Rebuild for FC5 (perl 5.8.8).

* Thu Dec 29 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.205-3
- Dist tag.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.205-2
- rebuilt

* Tue Feb 15 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:0.205-1
- Update to 0.205.

* Sun Oct  3 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:0.204-0.fdr.1
- Update to 0.204.

* Sun Jul 18 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:0.202-0.fdr.1
- First build.
